/**
 * @file  AE3ChannelArray.cpp
 * @brief Implementierung der Klasse CAE3ChannelArray.
 */
//////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "AE3ChannelArray.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CAE3ChannelArray::CAE3ChannelArray()
{
	// Kanalarray initialisieren
	for (int i=0; i < MAX_CHANNEL; i++) {
	
		m_pChannel[i] = NULL;
	}
}

CAE3ChannelArray::~CAE3ChannelArray()
{
	// vorhandene Kanalklassen freigeben.
	for (int i=0; i < MAX_CHANNEL; i++) {
	
		if (m_pChannel[i]) {
		
			delete m_pChannel[i];
		}
	}
}


