/**
 * @file  Datensatz.cpp
 * @brief Implementierung der Klasse CDatensatz.
 */
//////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "Datensatz.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CDatensatz::CDatensatz()
{
	m_iSize   = 0;
}

CDatensatz::~CDatensatz()
{
}

// Uebergibt die Daten in den Buffer
int CDatensatz::GetData(unsigned char *pucBuffer)
{
	for (int counter=0; counter < m_iSize; counter++) {

		pucBuffer[counter] = m_ucData[counter];
	}

	
	return TRUE;
}

// Setzt die Daten des Datensatzes
int CDatensatz::SetData(unsigned char *pucBuffer, int iLength)
{
	int counter;
	if (iLength < 0 || pucBuffer == NULL) {
	
		return FALSE;
	}

	for (counter=0; counter < iLength; counter++) {

		m_ucData[counter] = pucBuffer[counter];
	}

	m_iSize = iLength;

	return TRUE;
}

