/**
 * @file  Datensatz.h
 * @brief Schnittstelle fuer die Klasse CDatensatz.
 */
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DATENSATZ_H__3042C723_3ECB_11D5_9B3E_00508BCB648A__INCLUDED_)
#define AFX_DATENSATZ_H__3042C723_3ECB_11D5_9B3E_00508BCB648A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDatensatz  
{
public:
	CDatensatz();
	virtual ~CDatensatz();

	int SetData(unsigned char *pucBuffer, int iLength);
	int GetData(unsigned char *pucBuffer);
	
	// Liefert die Anzahl der aktuell gespeicherten Daten-Bytes
	inline int GetSize() 
	{ return m_iSize; };
	
private:
	int m_iSize; 			// Feldgroesze
	unsigned char m_ucData[0xFF];	// Daten 
};

#endif // !defined(AFX_DATENSATZ_H__3042C723_3ECB_11D5_9B3E_00508BCB648A__INCLUDED_)

