/**
 * @file  StdAfx.h
 * @brief Include-Datei fuer Standard-System-Include-Dateien,
 *        oder projektspezifische Include-Dateien, die haeufig benutzt, aber
 *        in unregelmaeszigen Abstaenden geaendert werden.
 */
//////////////////////////////////////////////////////////////////////
#if !defined(AFX_STDAFX_H__72D6A2F5_13B8_4196_8E40_D61149709ADB__INCLUDED_)
#define AFX_STDAFX_H__72D6A2F5_13B8_4196_8E40_D61149709ADB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef _WIN32

#define VC_EXTRALEAN		// Selten verwendete Teile der Windows-Header nicht einbinden

#include <afxwin.h>         // MFC-Kern- und -Standardkomponenten
//#include <afxext.h>         // MFC-Erweiterungen

#include <sys/stat.h>

#define snprintf _snprintf
#define stat     _stat

#else

// Benutzung bei LINUX
#include "include/StdDef.h"
#endif

// Export der DLL - Funktionen
#define AE3COM_EXPORT 1
#define USE_PRIVATE   1

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_STDAFX_H__72D6A2F5_13B8_4196_8E40_D61149709ADB__INCLUDED_)
