/**
 * @file  DynData.h
 * @brief Schnittstelle fuer die Klasse CDynData.
 */
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DYNDATA_H__C00E1048_E227_49E4_991F_93F8F72266A0__INCLUDED_)
#define AFX_DYNDATA_H__C00E1048_E227_49E4_991F_93F8F72266A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Template fuer CTypedPtrArray
#include <afxtempl.h>
// Klasse fuer Datensatz im DataArray
#include "Datensatz.h"

class CDynData : public CTypedPtrList<CPtrList, CDatensatz*>  
{
public:
	CDynData();
	virtual ~CDynData();

	int GetSize();
	
	int GetData(unsigned char *pucBuffer, int &iLength);
	int SetState(unsigned char ucStatus);
	unsigned char GetState();

	int AddData(unsigned char *pucBuffer, int iLength);

private:
	unsigned char m_ucStatus;
	int m_iSize;
};

#endif // !defined(AFX_DYNDATA_H__C00E1048_E227_49E4_991F_93F8F72266A0__INCLUDED_)

